Skip to main content
PUT
/
api
/
integrations
/
{integration_id}
{
  "name": "Twilio Production - Updated"
}
{
  "success": true,
  "message": "Integration updated successfully",
  "data": {
    "integration_id": "intg_a1b2c3d4e5f6",
    "client_id": "org_abc123",
    "name": "Twilio Production - Updated",
    "provider": "twilio",
    "category": "telephony",
    "status": "active",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
}
Update an existing integration’s name or credentials.

Headers

X-API-Key
string
required
Your API key for authentication.
X-Organization-Id
string
required
The organization ID.
Content-Type
string
required
Must be application/json.

Path Parameters

integration_id
string
required
The unique identifier of the integration (format: intg_[a-f0-9]{12}).

Permissions

  • integrations:update (admin, agent_manager)

Request Body

name
string
A new human-readable name for the integration (1-100 characters).
credentials
object
Updated provider-specific credentials. The structure depends on the provider.

Response

success
boolean
Indicates if the request was successful.
message
string
Human-readable success message.
data
object
The updated integration object.
{
  "name": "Twilio Production - Updated"
}
{
  "success": true,
  "message": "Integration updated successfully",
  "data": {
    "integration_id": "intg_a1b2c3d4e5f6",
    "client_id": "org_abc123",
    "name": "Twilio Production - Updated",
    "provider": "twilio",
    "category": "telephony",
    "status": "active",
    "created_at": "2024-01-15T10:30:00Z",
    "updated_at": "2024-01-15T11:00:00Z"
  }
}